use std::str::from_utf8;
use relm4::set_global_css;
use relm4::RelmApp;
use mossfets_game_of_life::game::Game;
use mossfets_life::app::AppModel;
use mossfets_life::config::APP_ID;

fn main() {
    let game = Game::new();
    let app = RelmApp::new(APP_ID);
    set_global_css(from_utf8(include_bytes!("styles/style.scss")).unwrap());
    app.run::<AppModel>(game);
}
